Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2959 - UK keyboard not configureable
Summary: UK keyboard not configureable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-21 21:38 UTC by dutton
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 21:45:01 UTC


Attachments (Terms of Use)

Description dutton 1999-05-21 21:38:49 UTC
in /etc/sysconfig/keyboard I have the line
KEYTABLE=uk
This fails to map to a UK keyboard. (not in X)
Also X key maps are OK

the "|" (pipe) symbol comes out as a ">"

The "|" (pipe) symbol is found on the shift-# (shift-hash)
key

Comment 1 clemons 1999-06-18 14:36:59 UTC
I'm having this problem also, but only on systems that I've upgraded
from 5.2.  With fresh installs the key mapping is correct.

Comment 2 Michael K. Johnson 1999-07-29 21:43:59 UTC
clemons@atm.ox.ac.uk, could you see if there is a difference in
the KEYTABLE entry in /etc/sysconfig/keyboard on your 5.2 vs. 6.0
systems?  There is only one uk keytable installed on a 6.0 system.
Thanks!

Comment 3 Bill Nottingham 1999-08-19 21:48:59 UTC
closed, lack of input

Comment 4 dutton 1999-08-19 22:19:59 UTC
Has anyone worked out why the keytable fails yet?
I am still waiting for a solution.
Is there any extra info I can supply?
I upgraded from 5.0 to 5.2 to 6.0
Please just tell me what file is missing/wrongly configured.

Comment 5 Bill Nottingham 1999-08-20 16:32:59 UTC
1) does this happen only in X, or also at the console?
2) if it happens in both, what happens if you type 'loadkeys uk'?

Comment 6 dutton 1999-08-20 18:40:59 UTC
I found out what has gone wrong.
I ran "rpm --verify -a" after reading other bug lists, and found that
the upgrade from 5.2 to 6.0 does not upgrade all the files properly,
some files are deleted and not replaced.
After searching the output, I found that the following files were
missing, together with 100s more.
/etc/rc.d/rc2.d/S75keytable
/etc/rc.d/rc3.d/S75keytable
/etc/rc.d/rc5.d/S75keytable
Once I did a symbolic link from /etc/rc.d/init.d/keytable to these
files and rebooted, all is now fine.
1) X in fine, console bad.
2) loadkeys uk works fine.
Obviously, some files got deleted during the upgrade.
Has REDHAT found out which packages they are, and told us users how
to fix them? If so, can someone please tell me.

Comment 7 Bill Nottingham 1999-08-20 20:53:59 UTC
OK, you ran into an RPM problem. The 'kbd' package was replaced
with the console-tools package, however, this  (because of an
RPM problem) caused the keytable links to be removed.

Once they were remade, is the keyboard working OK in the console?

Comment 8 Jeff Johnson 1999-08-31 21:45:59 UTC
The packages are fine, the problem was in rpm itself. Install the
errata rpm-3.0.2 release, and reinstall the rpm's with missing files.
Please reopen this bug if the above does not remedy your problem.


Note You need to log in before you can comment on or make changes to this bug.